define("wolfRunComponentsWinlinesDeclaration", ["componentmodelComponentApi", "slotModelApi", "reelsApi", "gameLayoutApi", "wolfRunComponentsWinlinesPort", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, slotModelApi, reelsApi, gameLayoutApi, wolfRunComponentsWinlinesPort, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof wolfRunComponentsWinlinesDeclaration == 'undefined') {
            var wolfRunComponentsWinlinesDeclaration = {};
        };
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration = function() {};
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration = ck_implements(wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.__name__ = ["wolfRunComponentsWinlinesDeclaration", "WinLinesDeclaration"];
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.prototype.getImplementedPorts = function() {
            return [wolfRunComponentsWinlinesPort.IWinLinesImplementationPort];
        };
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.prototype.getUsedPorts = function() {
            return [slotModelApi.IOutcomePhasePort, reelsApi.IReelsPort, gameLayoutApi.IGameLayoutPort];
        };
        wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration.prototype.__class__ = wolfRunComponentsWinlinesDeclaration.WinLinesDeclaration;
        return {
            exports: wolfRunComponentsWinlinesDeclaration
        };
    });
//# sourceURL=wolfRunWinLinesDeclaration.js